Loading...
Searching...
No Matches
juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness > Struct Template Reference

## Detailed Description

template<class DestSampleType, class SourceSampleType, class DestEndianness>
struct juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >

Used by AudioFormatWriter subclasses to copy data to different formats.

The documentation for this struct was generated from the following file:

- juce_audio_formats/format/juce_AudioFormatWriter.h

## Public Types

using | DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>
using | SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

## Static Public Member Functions

static void | write (void *destData, int numDestChannels, const int *const *source, int numSamples, const int sourceOffset=0) noexcept

## Member Typedef Documentation

## DestType

template<class DestSampleType, class SourceSampleType, class DestEndianness>

using juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>

## SourceType

template<class DestSampleType, class SourceSampleType, class DestEndianness>

using juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

## Member Functions

## write()

template<class DestSampleType, class SourceSampleType, class DestEndianness>

void juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::write | ( | void * | destData,
|  | int | numDestChannels,
|  | const int *const * | source,
|  | int | numSamples,
|  | const int | sourceOffset = 0 )

inline static noexcept

References juce::addBytesToPointer(), juce::AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::clearSamples(), juce::AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::convertSamples(), and juce::AudioData::Pointer< DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst >::getBytesPerSample().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited